Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#588 closed enhancement

gcc: Remove m505/roe multilib variant

Reported by: Ralf Corsepius Owned by: Joel Sherrill
Priority: lowest Milestone: 2
Component: tool Version: 4.7
Severity: minor Keywords:
Cc: bugs@…, ralf.corsepius@… Blocked By:
Blocking:

Description (last modified by Joel Sherrill)

I'd like to remove the m505/roe (-mcpu=505 -D_OLD_EXCEPTIONS) multilib variant from powerpc-rtems4.7-gcc.

This matches c/src/lib/libcpu/powerpc/README which documents mpc505 to be supporting new exceptions only and also matches with the new mpc5xx support, which according to Winfried is used with new exception processing only.

I.e. I don't see any reason to keep m505/roe.

Release:
RTEMS-4.7

Attachments (1)

gcc-3.3.3-rtems-rc-20040209-1.diff (396 bytes) - added by Ralf Corsepius on 12/03/06 at 13:31:13.
gcc-3.3.3-rtems-rc-20040209-1.diff

Download all attachments as: .zip

Change History (4)

comment:1 Changed on 05/23/04 at 01:52:39 by Joel Sherrill

Status: assignedwaiting

comment:2 Changed on 11/12/04 at 09:24:22 by Ralf Corsepius

Status: waitingsuspended

State-Changed-From-To: feedback->suspended
State-Changed-Why: Patch applied to gcc-4 and gcc-3_4-branch.
Patch has not been applied to gcc-3_3-branch because it
still is frozen.

Consider to revisit it once gcc-3_3-branch reopens or not to
add it to gcc-3_3-branch or decide not to apply it to gcc-3.3

Changed on 12/03/06 at 13:31:13 by Ralf Corsepius

gcc-3.3.3-rtems-rc-20040209-1.diff

comment:3 Changed on 11/21/14 at 15:42:49 by Joel Sherrill

Description: modified (diff)
Resolution: fixed
Status: closed

Current tools do not have the m505/roe multilib. No idea how long it has been gone.

Note: See TracTickets for help on using tickets.